[Fai-commit] r6203 - trunk/examples/simple/scripts/GRUB_PC

Thomas Lange lange at alioth.debian.org
Sun Nov 28 12:39:29 UTC 2010


Author: lange
Date: 2010-11-28 12:39:22 +0000 (Sun, 28 Nov 2010)
New Revision: 6203

Modified:
   trunk/examples/simple/scripts/GRUB_PC/10-setup
Log:
apply patch from experimental, install grub into all raid devices


Modified: trunk/examples/simple/scripts/GRUB_PC/10-setup
===================================================================
--- trunk/examples/simple/scripts/GRUB_PC/10-setup	2010-11-27 09:35:33 UTC (rev 6202)
+++ trunk/examples/simple/scripts/GRUB_PC/10-setup	2010-11-28 12:39:22 UTC (rev 6203)
@@ -3,10 +3,21 @@
 
 error=0 ; trap "error=$((error|1))" ERR
 
-$ROOTCMD grub-mkdevicemap -n -m /boot/grub/device.map
-$ROOTCMD grub-mkconfig -o /boot/grub/grub.cfg
-GROOT=$($ROOTCMD grub-probe -tdrive -d $BOOT_DEVICE)
-$ROOTCMD grub-install --no-floppy "$GROOT"
-echo "Grub installed on $BOOT_DEVICE = $GROOT"
+set -a
 
+# during softupdate use this file
+[ -r $LOGDIR/disk_var.sh ] && . $LOGDIR/disk_var.sh
+
+[ -z "$BOOT_DEVICE" ]    && exit 701
+
+$ROOTCMD grub-mkdevicemap --no-floppy
+
+for device in $BOOT_DEVICE; do
+  GROOT=$($ROOTCMD grub-probe -tdrive -d $device)
+  $ROOTCMD grub-install --no-floppy --modules="lvm raid" "$GROOT"
+  echo "Grub installed on $device = $GROOT"
+done
+
+$ROOTCMD update-grub
+
 exit $error




More information about the Fai-commit mailing list